/**
 * Copyright (C) : INRIA - Domaine de Voluceau, Rocquencourt, B.P. 105, 
 * 78153 Le Chesnay Cedex - France 
 * 
 * contributor(s) : SARDES project - http://sardes.inrialpes.fr
 *
 * Contact : jade@inrialpes.fr
 *
 * This software is a computer program whose purpose is to provide a framework
 * to build autonomic systems, following an architecture-based approach.
 *
 * This software is governed by the CeCILL-C license under French law and 
 * abiding by the rules of distribution of free software. You can use, modify
 * and/or redistribute the software under the terms of the CeCILL-C license as 
 * circulated by CEA, CNRS and INRIA at the following URL 
 * "http://www.cecill.info". 
 *
 * As a counterpart to the access to the source code and rights to copy, modify
 * and redistribute granted by the license, users are provided only with a 
 * limited warranty and the software's author, the holder of the economic 
 * rights, and the successive licensors have only limited liability. 
 *
 * In this respect, the user's attention is drawn to the risks associated with 
 * loading,  using,  modifying and/or developing or reproducing the software by 
 * the user in light of its specific status of free software, that may mean that
 * it is complicated to manipulate,  and  that  also therefore means  that it is
 * reserved for developers  and  experienced professionals having in-depth 
 * computer knowledge. Users are therefore encouraged to load and test the
 * software's suitability as regards their requirements in conditions enabling 
 * the security of their systems and/or data to be ensured and,  more generally,
 * to use and operate it in the same conditions as regards security. 
 *
 * The fact that you are presently reading this means that you have had 
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
package org.objectweb.jasmine.jade.control.repair.util;


/**
 * EventType
 * 20 juin 07
 * @author <a href="mailto:sylvain.sicard@inrialpes.fr">Sylvain Sicard
 *
 */
public final class EventType {
	// Event type
	/**
	 * Comment for <code>DEBUG</code>
	 */
	public static final EventType	DEBUG		= new EventType(0);
	/**
	 * Comment for <code>PING</code>
	 */
	public static final EventType	PING		= new EventType(1);
	/**
	 * Comment for <code>BINDING</code>
	 */
	public static final EventType	BINDING		= new EventType(2);
	/**
	 * Comment for <code>LIFECYCLE</code>
	 */
	public static final EventType	LIFECYCLE	= new EventType(3);
	/**
	 * Comment for <code>CONTENT</code>
	 */
	public static final EventType	CONTENT		= new EventType(4);
  /**
   * Comment for <code>NODEALLOCATION</code>
   */
  public static final EventType NODEALLOCATION   = new EventType(5);
  /**
   * Comment for <code>NODEFAILURE</code>
   */
  public static final EventType NODEFAILURE   = new EventType(6);
  /**
   * Comment for <code>NODEFREE</code>
   */
  public static final EventType NODEFREE   = new EventType(7);
  /**
   * Comment for <code>NEWNODE</code>
   */
  public static final EventType NEWNODE   = new EventType(8);
  /**
   * Comment for <code>NODEREMOVE</code>
   */
  public static final EventType NODEREMOVE   = new EventType(8);


	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return image[pos];
	}

	/**
	 * @param image
	 * @return
	 */
	public static EventType toEventType(String image) {
		if( image.equalsIgnoreCase(DEBUG.toString())) 		return DEBUG;
		if( image.equalsIgnoreCase(PING.toString())) 		return PING;
		if( image.equalsIgnoreCase(BINDING.toString())) 	return BINDING;
		if( image.equalsIgnoreCase(LIFECYCLE.toString())) 	return LIFECYCLE;
		if( image.equalsIgnoreCase(CONTENT.toString())) 	return CONTENT;
    if( image.equalsIgnoreCase(NODEALLOCATION.toString()))   return NODEALLOCATION;
    if( image.equalsIgnoreCase(NODEFAILURE.toString()))   return NODEFAILURE;
    if( image.equalsIgnoreCase(NODEFREE.toString()))   return NODEFREE;
    if( image.equalsIgnoreCase(NEWNODE.toString()))   return NEWNODE;
    if( image.equalsIgnoreCase(NODEREMOVE.toString()))   return NODEREMOVE;
		return null;
	}
	

	/**
	 * Comment for <code>image</code>
	 */
	private static final String[]		image	= { "DEBUG", "PING", "BINDING", "LIFECYCLE", "CONTENT", "NODEALLOCATION", "NODEFAILURE", "NODEFREE", "NEWNODE", "NODEREMOVE" };

	/**
	 * Comment for <code>pos</code>
	 */
	private int							pos;

	/**
	 * @param pos
	 */
	private EventType(int pos) {
		this.pos = pos;
	}
}